Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Class NFileOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--com.novell.java.io.NOutputStream
                  |
                  +--com.novell.service.file.nw.NFileOutputStream

public class NFileOutputStream
extends NOutputStream

Opens an output stream on a NetWare file or Extended Attribute.

NFileOutputStream extends NOutputStream by adding convenience constructors for the various custom parameters.

The DataAccessableParameters class can also be used by the user application layer to obtain constant flags for the various constructors of this class, or can instantiate a DataAccessableParameters object and pass it into the NOutputStream constructor.

See Also:
  `NOutputStream`, `DataAccessableParameters`

Constructor Summary
`NFileOutputStream(DataAccessable accessor)` Constructs an NFileOutputStream object using default parameters.
`NFileOutputStream(DataAccessable accessor, int openFlags)` Constructs an NFileOutputStream object using the openFlags parameters.
`NFileOutputStream(DataAccessable accessor, int openFlags, int dataSelector)` Constructs an NFileOutputStream object using the openFlags and dataSelector parameters.
`NFileOutputStream(java.lang.String name, DataAccessable accessor)` Constructs a subordinate NFileOutputStream object using the default parameters.
`NFileOutputStream(java.lang.String name, DataAccessable accessor, int openFlags)` Constructs a subordinate NFileOutputStream object using the openFlags parameter.
`NFileOutputStream(java.lang.String name, DataAccessable accessor, int openFlags, int dataSelector)` Constructs a subordinate NFileOutputStream object using the openFlags and dataSelector parameters.

Methods inherited from class com.novell.java.io.NOutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NFileOutputStream

    public NFileOutputStream(DataAccessable accessor)
                      throws java.io.IOException

  Constructs an NFileOutputStream object using default parameters.

  Opens an output stream through the specified DataAccessable object, using the default parameters.

  Parameters:
    `accessor` - The accessor object that will be called to open the stream.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

### NFileOutputStream

    public NFileOutputStream(DataAccessable accessor,
                             int openFlags)
                      throws java.io.IOException

  Constructs an NFileOutputStream object using the openFlags parameters.

  Given an openFlags object, an output stream is opened through the specified DataAccessable object.

  Parameters:
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

### NFileOutputStream

    public NFileOutputStream(DataAccessable accessor,
                             int openFlags,
                             int dataSelector)
                      throws java.io.IOException

  Constructs an NFileOutputStream object using the openFlags and dataSelector parameters.

  Given openFlags and dataSelector objects, opens an output stream through the specified DataAccessable object.

  Parameters:
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
    `dataSelector` - An integral value that allows the individual data stream on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    SubordinateAccessOnlyException - If the accessor does not support a stream to itself, for example a directory.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

### NFileOutputStream

    public NFileOutputStream(java.lang.String name,
                             DataAccessable accessor)
                      throws java.io.IOException

  Constructs a subordinate NFileOutputStream object using the default parameters.

  Opens a subordinate output stream through the specified DataAccessable object, using default parameters.

  Parameters:
    `name` - The subordinate name to open.
    `accessor` - The accessor object that will be called to open the stream.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

### NFileOutputStream

    public NFileOutputStream(java.lang.String name,
                             DataAccessable accessor,
                             int openFlags)
                      throws java.io.IOException

  Constructs a subordinate NFileOutputStream object using the openFlags parameter.

  Given an openFlags object, a subordinate output stream is opened through the specified DataAccessable object.

  Parameters:
    `name` - The subordinate name to open.
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

### NFileOutputStream

    public NFileOutputStream(java.lang.String name,
                             DataAccessable accessor,
                             int openFlags,
                             int dataSelector)
                      throws java.io.IOException

  Constructs a subordinate NFileOutputStream object using the openFlags and dataSelector parameters.

  Given openFlags and dataSelector objects, opens a subordinate output stream through the specified DataAccessable object.

  Parameters:
    `name` - The subordinate name to open.
    `accessor` - The accessor object that will be called to open the stream.
    `openFlags` - The flags that are used in opening the stream in different modes.
    `dataSelector` - An integral value that allows the individual data stream on a file to be selected.
  Throws:
    java.io.IOException - When an I/O error occurs.
    NoSubordinateAccessException - If the accessor does not support opening a subordinate access, for example, a file.
    OutputStreamNotSupportedException - If the accessor does not support an output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD